#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 25. Graphical Environment Libraries

- Prev

  libcairomm-1.0 (cairomm-1.14.0)

- Next

  Clutter-1.26.4

- Up
- Home

# Cogl-1.22.8

## Introduction to Cogl

Cogl is a modern 3D graphics API with associated utility APIs designed to expose the features of 3D graphics hardware using a direct state access API design, as opposed to the state-machine style of OpenGL.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/cogl/1.22/cogl-1.22.8.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/cogl/1.22/cogl-1.22.8.tar.xz

- Download MD5 sum: 7dd8b2e24171ef7399f851cea144b569

- Download size: 1.7 MB

- Estimated disk space required: 69 MB (add 2 MB for tests)

- Estimated build time: 0.3 SBU (Using parallelism=4; add 0.2 SBU for tests)

### Cogl Dependencies

#### Required

Cairo-1.17.4, gdk-pixbuf-2.42.6, GLU-9.0.2, Mesa-21.3.6, Pango-1.50.4, and Wayland-1.20.0

#### Recommended

gobject-introspection-1.70.0

#### Optional

gst-plugins-base-1.20.0, GTK-Doc-1.33.2, SDL-1.2.15, and SDL2-2.0.20

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/cogl

## Installation of Cogl

Install Cogl by running the following commands:

### Note

This package may occasionally fail when building with multiple processors. See Using Multiple Processors for more information.

    ./configure --prefix=/usr  \
                --enable-gles1 \
                --enable-gles2 \
                --enable-{kms,wayland,xlib}-egl-platform \
                --enable-wayland-egl-server              &&
    make

To test the results, issue: make check. The tests should be run from an X terminal on the hardware accelerated Xorg Server. A few tests will use all CPUs in parallel, regardless of parallellism settings.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-gles1`: This switch enables support for OpenGL ES 1.1.

`--enable-gles2`: This switch enables support for OpenGL ES 2.0.

`--enable-{kms,wayland,xlib}-egl-platform`: These switches enable support for KMS, Wayland and Xlib EGL platforms. They are required for GNOME Wayland support.

`--enable-wayland-egl-server`: This switch enables Cogl's Wayland Server API which is required for GNOME Wayland support.

`--enable-cogl-gst`: This switch enables gstreamer support.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libcogl-gles2.so, libcogl-pango.so, libcogl-path.so, and libcogl.so, and optional libraries libcogl-gst.so and /usr/lib/gstreamer-1.0/libgstcogl.so
Installed Directories: /usr/include/cogl and /usr/share/cogl

### Short Descriptions

`libcogl-gles2.so` | is the OpenGL ES 2.0 integration library for Cogl
`libcogl-pango.so` | is the Pango integration library for Cogl
`libcogl.so` | is an object oriented GL/GLES Abstraction/Utility Layer library

Last updated on

- Prev

  libcairomm-1.0 (cairomm-1.14.0)

- Next

  Clutter-1.26.4

- Up
- Home